Mailinglist Archive: opensuse-packaging (118 mails)

< Previous Next >
Re: [opensuse-packaging] osc build openSUSE_13.2 not works for some RPMs
  • From: Rusmir Duško <nemysis@xxxxxx>
  • Date: Mon, 29 Jun 2015 20:38:04 +0200
  • Message-id: <20150629203804.483f4c73@nemysis4now.nemysis4now>
On Mon, 29 Jun 2015 20:32:01 +0200
Marcus Hüwe <suse-tux@xxxxxx> wrote:

On 2015-06-29 20:18:31 +0200, Rusmir Duško wrote:
On Mon, 29 Jun 2015 19:59:49 +0200
Marcus Hüwe <suse-tux@xxxxxx> wrote:

On 2015-06-29 18:23:50 +0200, Rusmir Duško wrote:
On Mon, 29 Jun 2015 17:57:24 +0200
Marcus Hüwe <suse-tux@xxxxxx> wrote:
Ok. That is, a package is not properly installed (the question is
which
one). Can you do the following?
- remove the build root
- start building packages
- note down the order of the packages
- send the log (or at least everything after the "Updating /
installing..."
line) of the first failing package

I have removed with

rm -fr /var/tmp/build-root

and have used

osc build openSUSE_13.2

Here is complete paste (build.log-starfighter-openSUSE_13.2)

http://pastebin.ca/3040477


[ 48s] libGLU1-9.0.0-9.1.3
########################################
[ 48s] error: unpacking of archive failed on file
/usr/lib64/libGLU.so.1.3.1;55916ecd: cpio: read failed - Inappropriate
ioctl for device
[ 48s] error: libGLU1-9.0.0-9.1.3.x86_64: install failed

Hmm please check the integrity of the package:
rpm --checksig -v \

/var/tmp/osbuild-packagecache/openSUSE:13.2/standard/x86_64/libGLU1-9.0.0-9.1.3.x86_64.rpm

rpm --checksig -v
/var/tmp/osbuild-packagecache/openSUSE:13.2/standard/x86_64/libGLU1-9.0.0-9.1.3.x86_64.rpm
/var/tmp/osbuild-packagecache/openSUSE:13.2/standard/x86_64/libGLU1-9.0.0-9.1.3.x86_64.rpm:
Header V3 RSA/SHA256 Signature, key ID 3dbdc284: OK
Header SHA1 digest: OK (26acfd7bc34535274b4e545b7a250f44098a7409)
V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
MD5 digest: BAD Expected(6eb58054999dfebb200301fab50c01f8) !=
(9dfa3430624805eaa39e8c92ba59f7c5)

The package is broken. If you e.g. rm it and start the build, osc
will download the package again and everthing should work as expected.
Now the question is why the package got corrupted... maybe osc should
perform some integrity checks as well.

I have used

zypper in -f libGLU1
Loading repository data...
Reading installed packages...
Forcing installation of 'libGLU1-9.0.0-9.1.3.x86_64' from repository
'openSUSE:13.2'.
Resolving package dependencies...

The following package is going to be reinstalled:
libGLU1

1 package to reinstall.
Overall download size: 181.9 KiB. Already cached: 0 B No additional space will
be used or freed after the operation.
Continue? [y/n/? shows all options] (y):
Retrieving package libGLU1-9.0.0-9.1.3.x86_64
(1/1), 181.9 KiB (506.8
KiB unpacked)
Retrieving: libGLU1-9.0.0-9.1.3.x86_64.rpm
...........................................................................................................................[done]
Checking for file conflicts:
.........................................................................................................................................[done]
(1/1) Installing:
libGLU1-9.0.0-9.1.3
................................................................................................................................[done

and again have get

rpm --checksig -v
/var/tmp/osbuild-packagecache/openSUSE:13.2/standard/x86_64/libGLU1-9.0.0-9.1.3.x86_64.rpm
/var/tmp/osbuild-packagecache/openSUSE:13.2/standard/x86_64/libGLU1-9.0.0-9.1.3.x86_64.rpm:
Header V3 RSA/SHA256 Signature, key ID 3dbdc284: OK
Header SHA1 digest: OK (26acfd7bc34535274b4e545b7a250f44098a7409)
V3 RSA/SHA256 Signature, key ID 3dbdc284: BAD
MD5 digest: BAD Expected(6eb58054999dfebb200301fab50c01f8) !=
(9dfa3430624805eaa39e8c92ba59f7c5)

Can't remove this package

zypper rm libGLU1
Loading repository data...
Reading installed packages...
Resolving package dependencies...

The following 3 NEW packages are going to be installed:
kdebase4-artwork kdebase4-wallpaper-default
kdebase4-workspace-branding-upstream

The following 92 packages are going to be REMOVED:
DevIL-devel PlayOnLinux arkanoidsb blobAndConquer chromium-bsu freeglut-devel
glu-devel google-earth-stable gpac gstreamer-plugins-bad
gstreamer-plugins-bad-lang
gstreamer-plugins-bad-orig-addon h264enc hugin kdeartwork4-screensaver
kdebase4-openSUSE kdebase4-openSUSE-lang kdebase4-session kdebase4-workspace
kdebase4-workspace-addons kdebase4-workspace-branding-openSUSE kiki ksudoku
kubrick libGLC0 libGLU1 libIL1 libSDL-devel libSDL2-devel libSDL_image-devel
libSDL_mixer-devel libSDL_mixer-devel-32bit libSDL_net-devel libSDL_ttf-devel
liballeggl-devel liballeggl4_4 libftgl2 libgpac3 libgpac4 libgstgl-1_0-0
libprojectM2
libreoffice libreoffice-base libreoffice-base-drivers-mysql libreoffice-calc
libreoffice-calc-extensions libreoffice-draw libreoffice-filters-optional
libreoffice-icon-theme-crystal libreoffice-icon-theme-galaxy
libreoffice-icon-theme-hicontrast libreoffice-icon-theme-oxygen
libreoffice-icon-theme-sifr
libreoffice-impress libreoffice-kde4 libreoffice-l10n-de libreoffice-l10n-en
libreoffice-l10n-hr libreoffice-l10n-sr libreoffice-mailmerge libreoffice-math
libreoffice-pyuno libreoffice-writer libreoffice-writer-extensions
libtuxcap4_0 libxine2-codecs love love-0_7_2 lsb notpacman pacman-arena
patterns-openSUSE-kde
patterns-openSUSE-kde4_basis patterns-openSUSE-kde4_imaging pipelight
polly-b-gone q4wine q4wine-lang sdl-asylum tomatoes vegastrike vegastrike-data
vegastrike-extra
vegastrike-music vegastrike-speech vlc wine wine-compholio wine-staging x264
xscreensaver-data-extra zaz

The following 3 patterns are going to be REMOVED:
kde kde4_basis kde4_imaging

The following package is going to be downgraded:
libxine2

The following package is going to change vendor:
libxine2 http://packman.links2linux.de -> openSUSE


1 package to downgrade, 3 new, 92 to remove, 1 to change vendor.
Overall download size: 11.3 MiB. Already cached: 0 B After the operation, 2.5
GiB will be freed.
Continue? [y/n/p/? shows all options] (y): n



Marcus



--
Rusmir Dusko
openSUSE Games maintainer
https://build.opensuse.org/project/users/games
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >